// Code generated by templ - DO NOT EDIT.

// templ: version: v0.2.778
package templx

//lint:file-ignore SA4006 This context is only used if a nested component is present.

import "github.com/a-h/templ"
import templruntime "github.com/a-h/templ/runtime"

func NavbarEditor(lml, fallbackEnabled bool) templ.Component {
	return templruntime.GeneratedTemplate(func(templ_7745c5c3_Input templruntime.GeneratedComponentInput) (templ_7745c5c3_Err error) {
		templ_7745c5c3_W, ctx := templ_7745c5c3_Input.Writer, templ_7745c5c3_Input.Context
		if templ_7745c5c3_CtxErr := ctx.Err(); templ_7745c5c3_CtxErr != nil {
			return templ_7745c5c3_CtxErr
		}
		templ_7745c5c3_Buffer, templ_7745c5c3_IsBuffer := templruntime.GetBuffer(templ_7745c5c3_W)
		if !templ_7745c5c3_IsBuffer {
			defer func() {
				templ_7745c5c3_BufErr := templruntime.ReleaseBuffer(templ_7745c5c3_Buffer)
				if templ_7745c5c3_Err == nil {
					templ_7745c5c3_Err = templ_7745c5c3_BufErr
				}
			}()
		}
		ctx = templ.InitializeContext(ctx)
		templ_7745c5c3_Var1 := templ.GetChildren(ctx)
		if templ_7745c5c3_Var1 == nil {
			templ_7745c5c3_Var1 = templ.NopComponent
		}
		ctx = templ.ClearChildren(ctx)
		if lml {
			_, templ_7745c5c3_Err = templ_7745c5c3_Buffer.WriteString("<li class=\"nav-item dropdown\"><a class=\"nav-link dropdown-toggle\" href=\"#\" id=\"fileNavbarDropdown\" role=\"button\" data-bs-toggle=\"dropdown\" aria-expanded=\"false\"><span class=\"editor-menu-label\" style=\"color: cornflowerblue;\">File</span></a><ul class=\"dropdown-menu clearfix\" aria-labelledby=\"fileNavbarDropdown\"><li><a class=\"dropdown-item\" href=\"#\" id=\"new-btn\">New...</a></li><li><a class=\"dropdown-item\" href=\"#\" id=\"open-btn\">Open...</a></li><li><a class=\"dropdown-item disabled\" href=\"#\" id=\"close-btn\">Close</a></li><li><hr class=\"dropdown-divider\"></li>")
			if templ_7745c5c3_Err != nil {
				return templ_7745c5c3_Err
			}
			if fallbackEnabled {
				_, templ_7745c5c3_Err = templ_7745c5c3_Buffer.WriteString("<li><a class=\"dropdown-item disabled\" href=\"#\" id=\"copy-btn\">Copy to Primary</a></li>")
				if templ_7745c5c3_Err != nil {
					return templ_7745c5c3_Err
				}
			}
			_, templ_7745c5c3_Err = templ_7745c5c3_Buffer.WriteString("<li><a class=\"dropdown-item disabled\" href=\"#\" id=\"delete-btn\">Delete</a></li><li><a class=\"dropdown-item disabled\" href=\"#\" id=\"save-btn\">Save</a></li><li><a class=\"dropdown-item disabled\" href=\"#\" id=\"saveAs-btn\">Save As...</a></li><li><hr class=\"dropdown-divider\"></li></ul></li>")
			if templ_7745c5c3_Err != nil {
				return templ_7745c5c3_Err
			}
		} else {
			_, templ_7745c5c3_Err = templ_7745c5c3_Buffer.WriteString("<li class=\"nav-item\"><a class=\"nav-link\" aria-current=\"page\" href=\"#\" id=\"save-btn\"><span style=\"color: cornflowerblue;\">Save</span></a></li>")
			if templ_7745c5c3_Err != nil {
				return templ_7745c5c3_Err
			}
		}
		_, templ_7745c5c3_Err = templ_7745c5c3_Buffer.WriteString("<li class=\"nav-item dropdown\"><a class=\"nav-link dropdown-toggle\" href=\"#\" id=\"editorNavbarDropdown\" role=\"button\" data-bs-toggle=\"dropdown\" aria-expanded=\"false\"><span style=\"color: cornflowerblue;\">Editor</span></a><ul class=\"dropdown-menu\" aria-labelledby=\"editorNavbarDropdown\" id=\"editor-dropdown\"><li><a class=\"dropdown-item\" href=\"#\">Decrease Font Size</a></li><li><a class=\"dropdown-item\" href=\"#\">Normal-Sized Font</a></li><li><a class=\"dropdown-item\" href=\"#\">Increase Font Size</a></li><li><hr class=\"dropdown-divider\"></li><li><a class=\"dropdown-item\" href=\"#\">Dark Theme</a></li><li><a class=\"dropdown-item\" href=\"#\">Light Theme</a></li><li><hr class=\"dropdown-divider\"></li><li><a class=\"dropdown-item\" href=\"#\" id=\"lineWrapBtn\">Turn Line Wrap On</a></li><li><a class=\"dropdown-item\" href=\"#\" id=\"foldBtn\">Fold All</a></li><li><hr class=\"dropdown-divider\"></li><li><a class=\"dropdown-item\" href=\"#\" id=\"helpBtn\">Help</a></li></ul></li>")
		if templ_7745c5c3_Err != nil {
			return templ_7745c5c3_Err
		}
		if lml {
			_, templ_7745c5c3_Err = templ_7745c5c3_Buffer.WriteString("<li class=\"nav-item dropdown\"><a class=\"nav-link dropdown-toggle\" href=\"#\" id=\"toolsNavbarDropdown\" role=\"button\" data-bs-toggle=\"dropdown\" aria-expanded=\"false\"><span style=\"color: cornflowerblue;\">Tools</span></a><ul class=\"dropdown-menu\" aria-labelledby=\"toolsNavbarDropdown\" id=\"tools-dropdown\"><li><a class=\"dropdown-item\" id=\"itemToggleToolsPane\" href=\"#\">Hide</a></li></ul></li><li class=\"nav-item dropdown\"><a class=\"nav-link dropdown-toggle\" href=\"#\" id=\"previewNavbarDropdown\" role=\"button\" data-bs-toggle=\"dropdown\" aria-expanded=\"false\"><span style=\"color: cornflowerblue;\">Preview</span></a><ul class=\"dropdown-menu\" aria-labelledby=\"previewNavbarDropdown\" id=\"preview-dropdown\"><li><a class=\"dropdown-item\" id=\"itemTogglePreviewPane\" href=\"#\">Hide</a></li><li><a class=\"dropdown-item disabled\" href=\"#\" id=\"show-missing-btn\">Show Missing Values</a></li><li><a class=\"dropdown-item disabled\" href=\"#\" id=\"show-templates-btn\">Show Inserted Templates</a></li><li><a class=\"dropdown-item\" href=\"#\" id=\"preview-btn\">Regenerate Preview</a></li></ul></li>")
			if templ_7745c5c3_Err != nil {
				return templ_7745c5c3_Err
			}
		}
		return templ_7745c5c3_Err
	})
}

var _ = templruntime.GeneratedTemplate
